###-----------------------------------------------------------------------------
#
#     Name :	Menu_Axis.rb
#
#       Desc :	Adds Axis menus onto Context Menu
#
#   Author :	Alz (c) 3/2008
#
#     Usage :	Right mouse-click to get context-menu and select the menu/tool required off the list.
#
#       Type :	Selection Menu Tool
#
#  Version :	1.0  03/17/08	First issue.
#
#  History :	
#
###------------------------------------------------------------------------------

require 'sketchup.rb'

#########################################
if( not file_loaded?("Menu_Axis.rb") )

### CONTEXT MENU

  UI.add_context_menu_handler do | menu |
    submenuz=menu.add_submenu("Axis...")
    
    submenu01=submenuz.add_item("Move Global Axis") { Sketchup.send_action "selectAxisTool:" }
    submenu02=submenuz.add_item("Toggle Global Axis") { Sketchup.send_action "viewShowAxes:" }
    submenu03=submenuz.add_item("Reset Global Axis ...?") { UI.messagebox("Missing Command!") }
    submenu04=submenuz.add_item("XYZ Global Axis ...?") { UI.messagebox("Missing Command!") }
    submenu05=submenuz.add_item("Align to Global Axis ...?") { UI.messagebox("Missing Command!") }    
	    submenuz.add_separator
    submenu06=submenuz.add_item("Move Local Axis ...?") { UI.messagebox("Missing Command!") }
    submenu07=submenuz.add_item("Toggle Local Axis") { if Sketchup.active_model.rendering_options["DisplayInstanceAxes"]
                Sketchup.active_model.rendering_options["DisplayInstanceAxes"]=false
            else
                Sketchup.active_model.rendering_options["DisplayInstanceAxes"]=true
            end }
	    submenuz.add_separator
    submenu08=submenuz.add_item("Toggle Edge Axis") { if Sketchup.active_model.rendering_options["EdgeColorMode"]
                Sketchup.active_model.rendering_options["EdgeColorMode"]=1
            else
                Sketchup.active_model.rendering_options["EdgeColorMode"]=2
            end }
    submenu09=submenuz.add_item("Toggle Tool Crosshairs ...?") { UI.messagebox("Missing Command!")  }


   end #do

end #if

#-----------------------------------------------------------------------------
file_loaded("Menu_Axis.rb")
###
